| Home | Libraries | People | FAQ | More

## Struct template promote_base<ToFrom, ToFrom, void>

boost::numeric::functional::promote_base<ToFrom, ToFrom, void>

## Synopsis

    // In header: <boost/accumulators/numeric/functional.hpp>

    template<typename ToFrom>
    struct promote_base<ToFrom, ToFrom, void> : public std::unary_function< ToFrom, ToFrom > {

      // public member functions
      ToFrom & operator()(ToFrom &);
    };

## Description

### `promote_base` public member functions

1.     ToFrom & operator()(ToFrom & tofrom);